<form class="wpzinc-tinymce-popup">
    <div class="option">
        <div class="left">
            <strong><?php _e( 'Group', 'page-generator-pro' ); ?></strong>
        </div>
        <div class="right">
            <select name="group_id" data-shortcode="group_id" size="1">
                <option value=""><?php _e( 'This Group', 'page-generator-pro' ); ?></option>
                <?php
                foreach ( $this->base->get_class( 'groups' )->get_all_ids_names() as $group_id => $group_name ) {
                    ?>
                    <option value="<?php echo $group_id; ?>">- <?php echo $group_name; ?></option>
                    <?php
                }
                ?>
            </select>
        </div>
    </div>

    <div class="option">
        <div class="left">
            <strong><?php _e( 'Number of Links', 'page-generator-pro' ); ?></strong>
        </div>
        <div class="right">
            <input type="number" name="limit" data-shortcode="limit" value="5" min="0" max="9999999" step="1" placeholder="<?php _e( 'e.g. 5', 'page-generator-pro' ); ?>" class="widefat" />
        </div>
    </div>

    <div class="option">
        <div class="left">
            <strong><?php _e( 'Post Type', 'page-generator-pro' ); ?></strong>
        </div>
        <div class="right">
            <select name="post_type" data-shortcode="post_type" size="1">
                <option value=""><?php _e( '(all)', 'page-generator-pro' ); ?></option>
                <?php
                foreach ( $this->base->get_class( 'common' )->get_post_types() as $post_type ) {
                    ?>
                    <option value="<?php echo $post_type->name; ?>"><?php echo $post_type->label; ?></option>
                    <?php
                }
                ?>
            </select>
        </div>
    </div>

    <div class="option">
        <div class="left">
            <strong><?php _e( 'Post Status', 'page-generator-pro' ); ?></strong>
        </div>
        <div class="right">
            <select name="post_status" data-shortcode="post_status" size="1">
                <?php
                foreach ( $this->base->get_class( 'common' )->get_post_statuses() as $post_status => $post_status_label ) {
                    ?>
                    <option value="<?php echo $post_status; ?>" <?php selected( $post_status, 'publish' ); ?>><?php echo $post_status_label; ?></option>
                    <?php
                }
                ?>
            </select>
        </div>
    </div>

    <div class="option">
        <div class="left">
            <strong><?php _e( 'Post Author ID', 'page-generator-pro' ); ?></strong>
        </div>
        <div class="right">
            <input type="number" name="author" data-shortcode="author" min="1" max="999999" step="1" />
        </div>
    </div>

    <?php
    // Iterate through Taxonomies
    $taxonomies = $this->base->get_class( 'common' )->get_taxonomies();
    if ( is_array( $taxonomies ) && count( $taxonomies ) > 0 ) {
        foreach ( $taxonomies as $taxonomy ) {
            ?>
            <div class="option">
                <div class="left">
                    <strong><?php echo $taxonomy->labels->name; ?></strong>
                </div>
                <div class="right">
                    <?php $this->base->get_class( 'keywords' )->output_dropdown( $keywords, 'tinymce_related_links_' . $taxonomy->name ); ?>
                </div>
                <div class="full">
                    <input type="text" name="<?php echo $taxonomy->name; ?>" id="tinymce_related_links_<?php echo $taxonomy->name; ?>" data-shortcode="<?php echo $taxonomy->name; ?>" class="widefat wpzinc-autocomplete" />
                    <p class="description">
                        <?php _e( 'Separate Terms with commas.  Term Names, IDs and Keywords supported.', 'page-generator-pro' ); ?>
                    </p>
                </div>
            </div>
            <?php
        }
    }
    ?>

    <div class="option">
        <div class="left">
            <strong><?php _e( 'Order Links By', 'page-generator-pro' ); ?></strong>
        </div>
        <div class="right">
            <select name="orderby" data-shortcode="orderby" size="1">
                <?php
                foreach ( $this->base->get_class( 'common' )->get_order_by_options() as $key => $label ) {
                    ?>
                    <option value="<?php echo $key; ?>"><?php echo $label; ?></option>
                    <?php
                }
                ?>
            </select>
            <select name="order" data-shortcode="order" size="1">
                <?php
                foreach ( $this->base->get_class( 'common' )->get_order_options() as $key => $label ) {
                    ?>
                    <option value="<?php echo $key; ?>"><?php echo $label; ?></option>
                    <?php
                }
                ?>
            </select>
        </div>
    </div>

    <div class="option buttons">
        <div class="left">
            <button type="button" class="close button"><?php _e( 'Cancel', 'page-generator-pro' ); ?></button>
        </div>
        <div class="right">
            <input type="hidden" name="shortcode" value="page-generator-pro-related-links" />
            <input name="submit" type="submit" value="<?php _e( 'Insert', 'page-generator-pro' ); ?>" class="button button-primary right" />
        </div>
    </div>
</form>